<?php
define('PROTECTOR', 1);
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
if(empty($_POST['nick'])){
$nick=$_GET['nick'];
}else{
$nick=$_POST['nick'];
}
$textl='Заключенный '.$nick.'';
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

if(empty($_POST['nick'])){
$nick=$_GET['nick'];
}else{
$nick=$_POST['nick'];
}

$jel = mysql_fetch_array(mysql_query("SELECT `kol` FROM `res` WHERE `usr` = '".mysql_real_escape_string($nick)."' AND `lat_name`= 'jelezo'"));
$kam = mysql_fetch_array(mysql_query("SELECT `kol` FROM `res` WHERE `usr` = '".mysql_real_escape_string($nick)."' AND `lat_name`= 'kamen'"));
$nef = mysql_fetch_array(mysql_query("SELECT `kol` FROM `res` WHERE `usr` = '".mysql_real_escape_string($nick)."' AND `lat_name`= 'nefrit'"));
$obs = mysql_fetch_array(mysql_query("SELECT `kol` FROM `res` WHERE `usr` = '".mysql_real_escape_string($nick)."' AND `lat_name`= 'obsidian'"));
$ser = mysql_fetch_array(mysql_query("SELECT `kol` FROM `res` WHERE `usr` = '".mysql_real_escape_string($nick)."' AND `lat_name`= 'serebro'"));

switch($_GET['go']){

default:

echo'<div class="main"><div class="block_zero"><a href="online.php?">Все игроки</a> | Поиск';
echo'</div><div class="mini-line"></div><div class="block_zero">';
echo "<form action=\"search.php?go=go\" method=\"post\">Введите ник:<br/>";
echo "<input class='text' name=\"nick\" maxlength=\"20\" type=\"text\" title=\"nick\" emptyok=\"true\"/><br/>";
echo'<span class="btn"><span class="end"><input class="label" type="submit" value="Найти"></span></span></form></div></div>';
break;

case 'go':
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '".mysql_real_escape_string($nick)."'");
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого игрока!';
include($path.'files/down.php');exit;
}
$usdata = mysql_fetch_array($req);

if($usdata['klas']=="fighert"){
if($usdata['wins']>=0 AND $usdata['wins']<500){
$stat2="Новичок";
}
elseif($usdata['wins']>=500 AND $usdata['wins']<2000){
$stat2="Боец";
}
elseif($usdata['wins']>=2000 AND $usdata['wins']<5000){
$stat2="Рыцарь";
}
elseif($usdata['wins']>=5000 AND $usdata['wins']<10000){
$stat2="Гладиатор";
}
elseif($usdata['wins']>=10000 AND $usdata['wins']<15000){
$stat2="Титан";
}
elseif($usdata['wins']>=15000 AND $usdata['wins']<20000){
$stat2="Богатырь";
}
elseif($usdata['wins']>20000){
$stat2="Бог";
}
}

if($usdata['klas']=="wizard"){
if($usdata['wins']>=0 AND $usdata['wins']<500){
$stat2="Новичок";
}
elseif($usdata['wins']>=500 AND $usdata['wins']<2000){
$stat2="Ученик";
}
elseif($usdata['wins']>=2000 AND $usdata['wins']<5000){
$stat2="Волшебник";
}
elseif($usdata['wins']>=5000 AND $usdata['wins']<10000){
$stat2="Магистр магии";
}
elseif($usdata['wins']>=10000 AND $usdata['wins']<15000){
$stat2="Чародей";
}
elseif($usdata['wins']>15000 AND $usdata['wins']<20000){
$stat2="Властелин";
}
elseif($usdata['wins']>20000){
$stat2="Повелитель";
}
}

$bans = mysql_query("SELECT * FROM `ban` WHERE `usr` = '$usdata[usr]' LIMIT 1");
$ban = mysql_num_rows($bans);
$bana = mysql_fetch_array($bans);
/*
if(!empty($usdata['clan'])){
$req = mysql_query("SELECT `emblema` FROM `clan` WHERE `lider` = '$usdata[clan]'");
$wh = mysql_fetch_array($req);
$sett = mysql_query("SELECT * FROM `set` WHERE `usr` = '$usdata[usr]' LIMIT 1");
$sett = mysql_fetch_array($sett);

echo"<font color='#e8c25d'><img src=\"pic/clan/$wh[emblema]\" alt=\"clan\"/> <b>$nick</b>";
}
*/
if($usdata['storona']=='white'){
$pers=1;
}else{
$pers=0;
}

$laikas = 300;
$dabar = time();
$timeout = $dabar - $laikas;
$asd = mysql_num_rows(mysql_query("SELECT `laikas`, `usr` FROM `online` WHERE `laikas` > '$timeout' AND `usr` = '$nick'"));
if($asd==0){
$gde='off';
}else{
$gde='';
}

if($udata['prava'] >= 5){
echo'<div class="main"><div class="menuList">';
echo"<li><a href=\"adm_panel.php?mod=3&ip=$usdata[ip]\"><img src=\"image/icon/arrow.png\" alt=\"*\"/>ip: $usdata[ip] </a></li><li><a href=\"adm_panel.php?mod=logiprosm&usr=$nick\"><img src=\"image/icon/arrow.png\" alt=\"*\"/>Посмотреть логи</a></li><li><a href=\"search.php?go=pred&user=$usdata[usr]\"><img src=\"image/icon/arrow.png\" alt=\"*\"/>Сделать предупреждение</a></li></div><div class='line'></div></div>";
}
if($udata['prava'] >= 2){
echo'<div class="main"><div class="menuList">';
echo"<li><a href=\"adm_panel.php?mod=5&amp;usr=$nick\"><img src=\"image/icon/arrow.png\" alt=\"*\"/>Наложить бан</a></li></div><div class='line'></div></div>";
}
if($usdata['prava']==5){
$status='- Создатель';
$im='adm';
}
if($usdata['prava']==4){
$status='- Гейм мастер';
$im='adm';
}
if($usdata['prava']==3){
$status='- Поддержка';
$im='mod3';
}
if($usdata['prava']==2){
$status='- Модератор';
$im='mod';
}
if($usdata['prava']==1){
$status='- Тест мастер';
$im='gam';
}
if($usdata['prava']==0){
$status='Заключенный';
$im='gam';
}

echo'<div class="main">  '.$status.'';


echo'<div class="block_zero"><img src="image/icon/'.$pers.''.$gde.'.png" alt="*"><b> '.$nick.' </b>';

echo'<img src="image/icon/level.png" alt="*"> '.$usdata['lvl'].'  ур, ';

if($usdata['storona']=='white'){
echo' ';
$papka='scw';
}else{
echo' ';
$papka='scb';
}

if($usdata['pol']=='m'){
echo'муж.';
}else{
echo'жен.';
}

echo'<br>';

if(!empty($usdata['clan'])){
$clan = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `lider` = '$usdata[clan]' LIMIT 1"));
if($usdata['storona']=='white'){
$cl='c1';
}else{
$cl='c0';
}
echo'<img src="image/icon/'.$cl.'.png"> Банда: <a href="clan.php?id='.$clan['id'].'">'.$clan['name'].'</a>';
if($usdata['dolz']=='lider'){
echo', глава';
}
elseif($usdata['dolz']=='general'){
echo', зам. главы';
}
elseif($usdata['dolz']=='user' OR $usdata['dolz']==''){
echo', участник';
}
}else{
echo'Не состоит в банде';
}

echo'</div><div class="mini-line"></div><div class="block_zero center">';

$req = mysql_query("SELECT * FROM `karma` WHERE `usr` = '".mysql_real_escape_string($nick)."'");
$avto=mysql_num_rows($req);
echo'Репутация заключенного: '.$avto.'<br>';
$req = mysql_query("SELECT * FROM `karma` WHERE `usr` = '".mysql_real_escape_string($nick)."' AND `from`='$log' LIMIT 1");
$avto=mysql_num_rows($req);
if($avto==0 AND $udata['lvl']>=1 AND $log!=$nick){
echo'<a href="karma.php?usr='.$nick.'"><span class="btn"><span class="end"><input class="label" type="submit" value="Увеличить репутацию зека"></span></span></a><br>';
}else{
echo'Вы уже увеличивали репутацию этого игрока';
}

echo'</div><div class="mini-line"></div><div class="block_zero">';

if($usdata['lvl']<5){
$st="a";
}
elseif($usdata['lvl']>=5 AND $usdata['lvl']<10){
$st="b";
}
elseif($usdata['lvl']>=10 AND $usdata['lvl']<15){
$st="c";
}
elseif($usdata['lvl']>=15 AND $usdata['lvl']<20){
$st="d";
}
elseif($usdata['lvl']>=20 AND $usdata['lvl']<25){
$st="e";
}
elseif($usdata['lvl']>=25 AND $usdata['lvl']<35){
$st="f";
}
elseif($usdata['lvl']>=35 AND $usdata['lvl']<45){
$st="g";
}
elseif($usdata['lvl']>=45 AND $usdata['lvl']<55){
$st="h";
}
elseif($usdata['lvl']>=55){
$st="i";
}


$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '".mysql_real_escape_string($nick)."'");
$usdata = mysql_fetch_array($req);
$sett = mysql_query("SELECT * FROM `set` WHERE `usr` = '$usdata[usr]' LIMIT 1");
$sett = mysql_fetch_array($sett);

echo'<img src="image/avatar/not.png" alt="*"> <br>';

echo'<img src="image/icon/health.png" alt="*"> Жизнь: '.$usdata['hpall'].'';
echo'<br>';
echo'<img src="image/icon/mana.png" alt="*"> Энергия: '.$usdata['mpall'].'';
echo'<br>';
echo'<img src="image/icon/str.png" alt="*"> Сила: '.$usdata['sila'].'';
echo'<br>';
echo'<img src="image/icon/agi.png" alt="*"> Ловкость: '.$usdata['lovk'].'';
echo'<br>';
echo'<img src="image/icon/def.png" alt="*"> Защита: '.$usdata['prot'].'';
echo'<br>';
echo'<img src="image/icon/tournament.png" alt="*"> Крит-урон: '.$usdata['ukrit'].'%';
echo'<br>';
echo'<img src="image/icon/sumstat.png" alt="*"> Крит-удар: '.$usdata['krit'].'%';
//-----

echo'</div><div class="mini-line"></div><div class="block_zero">';

$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$nick'");
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого игрока!';
include($path.'files/down.php');
exit;
}
$req = mysql_query("SELECT * FROM `mag` WHERE `usr` = '$nick'");
$mag = mysql_fetch_array($req);
if(mysql_num_rows($req)==0){
echo '';
}else{
                        if ($mag['yarost'] >= 1) {
                            $pic = 1;
                        }
                        if ($mag['yarost'] >= 20) {
                            $pic = 2;
                        }
                        if ($mag['yarost'] >= 40) {
                            $pic = 3;
                        }
                        if ($mag['yarost'] >= 60) {
                            $pic = 4;
                        }
                        if ($mag['yarost'] >= 80) {
                            $pic = 5;
                        }
                        if ($mag['yarost'] == 100) {
                            $pic = 6;
                        }
                        if ($mag['yarost'] == 0) {
                            $pic='';
                        }else{
                        $pic='<img src=\'/image/umehi/1.' . $pic . '.png\' width=\'25px\' height=\'25px\' alt=\'*\'/> ';
                        }
                        
                        
                        if ($mag['bronya'] >= 1) {
                            $pic2 = 1;
                        }
                        if ($mag['bronya'] >= 20) {
                            $pic2 = 2;
                        }
                        if ($mag['bronya'] >= 40) {
                            $pic2 = 3;
                        }
                        if ($mag['bronya'] >= 60) {
                            $pic2 = 4;
                        }
                        if ($mag['bronya'] >= 80) {
                            $pic2 = 5;
                        }
                        if ($mag['bronya'] == 100) {
                            $pic2 = 6;
                        }
                        if ($mag['bronya'] == 0) {
                            $pic22='';
                        }else{
                        $pic22='<img src=\'/image/umehi/2.' . $pic2 . '.png\' width=\'25px\' height=\'25px\' alt=\'\'/> ';
                        }
                        
                        
                        if ($mag['vihr'] >= 1) {
                            $pic3 = 1;
                        }
                        if ($mag['vihr'] >= 20) {
                            $pic3 = 2;
                        }
                        if ($mag['vihr'] >= 40) {
                            $pic3 = 3;
                        }
                        if ($mag['vihr'] >= 60) {
                            $pic3 = 4;
                        }
                        if ($mag['vihr'] >= 80) {
                            $pic3 = 5;
                        }
                        if ($mag['vihr'] == 100) {
                            $pic3 = 6;
                        }
                        if ($mag['vihr'] == 0) {
                            $pic33='';
                        }else{
                        $pic33='<img src=\'/image/umehi/3.' . $pic3 . '.png\' width=\'25px\' height=\'25px\' alt=\'*\'/> ';
                        }
                        
                        if ($mag['stoika'] >= 1) {
                            $pic4 = 1;
                        }
                        if ($mag['stoika'] >= 20) {
                            $pic4 = 2;
                        }
                        if ($mag['stoika'] >= 40) {
                            $pic4 = 3;
                        }
                        if ($mag['stoika'] >= 60) {
                            $pic4 = 4;
                        }
                        if ($mag['stoika'] >= 80) {
                            $pic4 = 5;
                        }
                        if ($mag['stoika'] == 100) {
                            $pic4 = 6;
                        }
                        if ($mag['stoika'] == 0) {
                            $pic44='';
                        }else{
                        $pic44='<img src=\'/image/umehi/4.' . $pic4 . '.png\' width=\'25px\' height=\'25px\' alt=\'*\'/> ';
                        }
                        echo "$pic$pic22$pic33$pic44";
                        if($mag['yarost'] == 0 OR $mag['bronya'] == 0 OR  $mag['vihr'] == 0  OR $mag['stoika'] == 0){
$line="";
}else{
$line='</div><div class="mini-line"></div>';
}
echo"$line";
}
echo'<div class="block_zero center">';

/*
echo"Опыт: $usdata[exp]<br/>";
*/

if($sett['pred']>0){
echo"Предупреждений: $sett[pred]";
}else{
echo"Предупреждений: нет";
}

echo'</div>';

if($ban == 1){
echo'<div class="separ"></div>';
echo"<center><font color='red'>Игрок забанен!<br>Причина: $bana[text]<br></font></center>";
}

/*
$ref = mysql_query("SELECT * FROM `users` WHERE `ref` = '$usdata[id]'");
$avtos=mysql_num_rows($ref);
if($avtos>=1){
$avtos=$avtos+$sett['friend'];
echo"Друзей:<font color='#f1d99a'><b> $avtos </font></b><br>";
}
*/

$wep = mysql_fetch_array(mysql_query("SELECT * FROM `weapon` WHERE `image` = 'yes' AND `usr` = '$nick' AND `tip` = 'golova'"));

if($wep['runa']==1){
$runa1='<img src="image/kachestvo/0.png" alt="*">';
}
elseif($wep['runa']==2){
$runa1='<img src="image/kachestvo/1.png" alt="*">';
}
elseif($wep['runa']==3){
$runa1='<img src="image/kachestvo/2.png" alt="*">';
}
elseif($wep['runa']==4){
$runa1='<img src="image/kachestvo/3.png" alt="*">';
}
elseif($wep['runa']==5){
$runa1='<img src="image/kachestvo/4.png" alt="*">';
}
elseif($wep['runa']==6){
$runa1='<img src="image/kachestvo/5.png" alt="*">';
}else{
$runa1=FALSE;
}

$wep = mysql_fetch_array(mysql_query("SELECT * FROM `weapon` WHERE `image` = 'yes' AND `usr` = '$nick' AND `tip` = 'body'"));
if($wep['runa']==1){
$runa2='<img src="image/kachestvo/0.png" alt="*">';
}
elseif($wep['runa']==2){
$runa2='<img src="image/kachestvo/1.png" alt="*">';
}
elseif($wep['runa']==3){
$runa2='<img src="image/kachestvo/2.png" alt="*">';
}
elseif($wep['runa']==4){
$runa2='<img src="image/kachestvo/3.png" alt="*">';
}
elseif($wep['runa']==5){
$runa2='<img src="image/kachestvo/4.png" alt="*">';
}
elseif($wep['runa']==6){
$runa2='<img src="image/kachestvo/5.png" alt="*">';
}else{
$runa2=FALSE;
}
$wep = mysql_fetch_array(mysql_query("SELECT * FROM `weapon` WHERE `image` = 'yes' AND `usr` = '$nick' AND `tip` = 'nogi'"));
if($wep['runa']==1){
$runa3='<img src="image/kachestvo/0.png" alt="*">';
}
elseif($wep['runa']==2){
$runa3='<img src="image/kachestvo/1.png" alt="*">';
}
elseif($wep['runa']==3){
$runa3='<img src="image/kachestvo/2.png" alt="*">';
}
elseif($wep['runa']==4){
$runa3='<img src="image/kachestvo/3.png" alt="*">';
}
elseif($wep['runa']==5){
$runa3='<img src="image/kachestvo/4.png" alt="*">';
}
elseif($wep['runa']==6){
$runa3='<img src="image/kachestvo/5.png" alt="*">';
}else{
$runa3=FALSE;
}
$wep = mysql_fetch_array(mysql_query("SELECT * FROM `weapon` WHERE `image` = 'yes' AND `usr` = '$nick' AND `tip` = 'shit'"));
if($wep['runa']==1){
$runa4='<img src="image/kachestvo/0.png" alt="*">';
}
elseif($wep['runa']==2){
$runa4='<img src="image/kachestvo/1.png" alt="*">';
}
elseif($wep['runa']==3){
$runa4='<img src="image/kachestvo/2.png" alt="*">';
}
elseif($wep['runa']==4){
$runa4='<img src="image/kachestvo/3.png" alt="*">';
}
elseif($wep['runa']==5){
$runa4='<img src="image/kachestvo/4.png" alt="*">';
}
elseif($wep['runa']==6){
$runa4='<img src="image/kachestvo/5.png" alt="*">';
}else{
$runa4=FALSE;
}
$wep = mysql_fetch_array(mysql_query("SELECT * FROM `weapon` WHERE `image` = 'yes' AND `usr` = '$nick' AND `tip` = 'weapon'"));
if($wep['runa']==1){
$runa5='<img src="image/kachestvo/0.png" alt="*">';
}
elseif($wep['runa']==2){
$runa5='<img src="image/kachestvo/1.png" alt="*">';
}
elseif($wep['runa']==3){
$runa5='<img src="image/kachestvo/2.png" alt="*">';
}
elseif($wep['runa']==4){
$runa5='<img src="image/kachestvo/3.png" alt="*">';
}
elseif($wep['runa']==5){
$runa5='<img src="image/kachestvo/4.png" alt="*">';
}
elseif($wep['runa']==6){
$runa5='<img src="image/kachestvo/5.png" alt="*">';
}else{
$runa5=FALSE;
}



echo'</div><div class="mini-line"></div><div class="main"><div class="menuList">';

echo'<li><a href="search.php?go=shmot&amp;nick='.$nick.'"><img src="image/icon/equip.png" alt="*">Шмотки '.$runa1.''.$runa2.''.$runa3.''.$runa4.''.$runa5.'</a></li>';

$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '".mysql_real_escape_string($nick)."'");
$avto=mysql_num_rows($req);
if($avto==1){
$pit = mysql_fetch_array($req);
if($pit['old']==1){
$old="Пёс ";
}
if($pit['old']==2){
$old="Змея ";
}
if($pit['old']==3){
$old="Крокодил ";
}
if($pit['status']=="die"){
$die=" (мёртв)";
}else{
$die="";
}
echo'<li><a href="pit.php?id='.$pit['id'].'"><img src="image/icon/pet.png" alt="*">Питомец: '.$old.''.$pit['name'].''.$die.'</a></li>';
}else{
echo'<li><a href=""><img src="image/icon/pet.png" alt="*">Питомец: нет</a></li>';
}

$sett = mysql_query("SELECT * FROM `set` WHERE `usr` = '$usdata[usr]' LIMIT 1");
$sett = mysql_fetch_array($sett);

$aa=$sett['shahter']/5;
$bb=$sett['kuznec']/5;
$cc=$sett['razb']/5;

//echo"<li><div class='block_zero center'>Шахтер: $aa, Кузнец: $bb, Дуэлянт: $cc</li>";

/*
if($udata['storona'] != $usdata['storona']){
echo'<li><a href="ok.php?k=pk&amp;id='.$usdata['id'].'"><img src="image/icon/bag.png" alt="*">Напасть</a></li>';
}
*/

echo"<li><a href='msg.php?go_user=$nick&mod=wr'><img src='image/icon/mail.png' alt='*'>Написать маляву</a></li>";
//echo'<li><a href="search.php?go=anketa&amp;user='.$nick.'"><img src="image/icon/bag.png" alt="*">Анкета</a></li>';

echo'<li><a href="search.php?go=stats&amp;nick='.$nick.'"><img src="image/icon/bag.png" alt="*">Досье</a></li>';


/*
//if($nick!==$log){echo"<li><a href=\"search.php?go=zoloto&nick=$nick\"><img src=\"pic/bazar.gif\" alt=\"*\"/> Передать золото</a></li>
<li><a href=\"search.php?go=almaz&nick=$nick\"><img src=\"pic/almaz.png\" alt=\"*\"/> Передать алмазы</a></li>";}
*/



$laikas = 300;
$dabar = time();
$timeout = $dabar - $laikas;
$asd = mysql_num_rows(mysql_query("SELECT laikas, usr FROM online WHERE laikas > '$timeout' AND usr='$nick'"));
echo"<div class='block_zero center'>";

if($asd==0){
//echo"<img src=\"pic/game/off.gif\"/> Статус: <font color=\"#cc0000\">Offline</font><br/>";

echo"Был в игре: $usdata[lvisit]<br/>";
}else{
$reqs = mysql_query("SELECT * FROM `mesto` WHERE `usr` = '".mysql_real_escape_string($nick)."' LIMIT 1");
$mesto = mysql_fetch_array($reqs);//место
//echo"<img src=\"pic/game/on.gif\" alt=\"*\"/> Статус: <b><font color=\"#00ff33\">Online</b></font><br/>";
}


$settt = mysql_query("SELECT * FROM `set` WHERE `usr` = '$usdata[usr]' LIMIT 1");
$settt= mysql_fetch_array($settt);
if(!empty($settt['datareg'])){
$datareg=time()-$settt['datareg'];
if($datareg>86400){
$reg=round($datareg/86400);
function users ( $reg, $form1, $form2, $form3 ) {
$reg = abs ( $reg ) % 100;
$all1 = $reg % 10;
if ( $reg > 10 && $reg < 20 ) return $form3;
if ( $all1 > 1 && $all1 < 5 ) return $form2;
if ( $all1 == 1 ) return $form1;
return $form3; 
}
echo 'В игре: '.$reg.' '.users($reg,'день','дня','дней').'<br/>';
}
}


echo"</div></div></div></div>";
break;

case 'shmot':
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$nick'");
$usdata = mysql_fetch_array($req);
$i=1;
while($i<=5){
switch($i){

case '1':
$tip='';
$gt='golova';
$x='';
break;
case '2':
$tip='';
$gt='body';
$x='';
break;
case '3':
$tip='';
$gt='nogi';
$x='';
break;
case '4':
$tip='';
$gt='weapon';
$x='';
break;
case '5':
$tip='';
$gt='shit';
$x='';
break;
}
$req = mysql_query("SELECT * FROM `weapon` WHERE `usr` = '$nick' and `tip`='$gt' and `image`='yes'");
$avto=mysql_num_rows($req);
if($avto!==0){              
$mag = mysql_fetch_array($req);
if(!empty($mag['img'])){
$patch="art/$mag[img]";
}else{
$patch="weapon/$mag[kompl]/$gt.png";
}
$wep = mysql_query("SELECT * FROM `weapon` WHERE `image` = 'yes' AND `usr` = '$nick' AND `tip` = '$mag[tip]'") OR die (mysql_error());
$wep = mysql_fetch_array($wep);
$stat = $wep['hp']+$wep['mp']+$wep['krit']+$wep['ukrit']+$wep['sila']+$wep['lovk']+$wep['prot'];
if($wep['runa']==1){
$runa='<img src="image/kachestvo/0.png" alt="*">';
}
elseif($wep['runa']==2){
$runa='<img src="image/kachestvo/1.png" alt="*">';
}
elseif($wep['runa']==3){
$runa='<img src="image/kachestvo/2.png" alt="*">';
}
elseif($wep['runa']==4){
$runa='<img src="image/kachestvo/3.png" alt="*">';
}
elseif($wep['runa']==5){
$runa='<img src="image/kachestvo/4.png" alt="*">';
}
elseif($wep['runa']==6){
$runa='<img src="image/kachestvo/5.png" alt="*">';
}else{
$runa=FALSE;
}
echo'<div class="main"><div class="block_zero">';
echo'<img class="float-left" src="image/'.$patch.'" width="60" height="60" style="margin-left:10px; margin-right:10px;" alt="*"><a href="inventar.php?mod=info&id='.$mag['id'].'&usr='.$nick.'"> '.$runa.' '.$tip.' '.$mag['name'].'</a> +'.$mag['zakal'].'<br>+ '.$stat.' к параметрам<br>Бонус: '.$mag['proch'].'/10</small></a><br><br>';
echo'</div><div class="dot-line"></div></div>';
}
if($avto<=0){
echo'<div class="main"><div class="block_zero"><img class="float-left" src="image/weapon/'.$gt.'.png" width="60" height="60" style="margin-left:10px; margin-right:10px;" alt="*"><span style="color: #999;">'.$tip.' не одет'.$x.'</span><br><br><br><br></div><div class="dot-line"></div></div>';
}
$i++;
}
echo'</div><div class="dot-line"></div>';
echo"<div class='main'><div class='block_zero'><a href=\"search.php?go=go&nick=$nick\"><< Назад</a>";
echo"</div></div>";
break;

case 'stats':
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$nick'");
$usdata = mysql_fetch_array($req);
echo"<b>Репутация: ".$usdata[slava]."</b><br/>
Крысился: $usdata[predatel]<br/>
Побед на разборках: $usdata[arenawins]<br/>
Поражений на разборках: $usdata[arenaloses]<br/>
Побед лиги: ".$usdata[wins]."<br/>
Поражений лиги: $usdata[loses]<br/>";
echo"Опыт: $usdata[exp]<br/>";
echo"<a href=\"search.php?go=go&nick=$nick\">Назад</a>";
break;



case 'anketa':
if(empty($_GET[user])){
echo "Не выбран игрок <a href=\"search.php?go=go&amp;nick=$nick\">Назад</a>";}else{
$_GET[user] = htmlspecialchars(stripslashes(addslashes($_GET['user'])));
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$_GET[user]'");
$usdata = mysql_fetch_array($req);
$req = mysql_query("SELECT * FROM `set` WHERE `usr` = '$_GET[user]'");
$mag = mysql_fetch_array($req);
$avto = mysql_num_rows($req);
if($avto=0){echo "Нет анкеты <a href=\"search.php?go=go&amp;nick=$_GET[user]\">Назад</a>";}else{
echo"Анкета игрока <img src='pic/main/$usdata[storona].png' alt='*'/></a>
<a href='search.php?nick=$_GET[user]&go=go'><b> $_GET[user]</b></a></div><div class = 'menu'>";}}
if(empty($mag[name])){echo"Анкета не заполнена.";}else{
if(!empty($mag[name])){echo "Имя: <font color='#e8c25d'>$mag[name]</font></br>";}
if(!empty($mag[familu])){echo "Фамилия: <font color='#e8c25d'>$mag[familu]</font></br>";}
if(!empty($mag[strana])){echo "Страна: <font color='#e8c25d'>$mag[strana]</font></br>";}
if(!empty($mag[gorod])){echo "Город: <font color='#e8c25d'>$mag[gorod]</font></br>";}
if(!empty($mag[icq])){echo "ICQ: <font color='#e8c25d'>$mag[icq]</font></br>";}
if(!empty($mag[email])){echo "E-mail: <font color='#e8c25d'>$mag[email]</font></br>";}
if(!empty($mag[data])){echo "Год рождения: <font color='#e8c25d'>$mag[data]</font></br>";}
if(!empty($mag[music])){echo "Любимая музыка: <font color='#e8c25d'>$mag[music]</font></br>";}
if(!empty($mag[int])){echo "Интересы: <font color='#e8c25d'>$mag[int]</font></br>";}
if(!empty($mag[inf])){echo "О себе: <font color='#e8c25d'>$mag[inf]</font></br>";}}
break;

case 'pred':
if(empty($_GET['user'])){
echo '<div class="main"><div class="block_zero center">Не выбран игрок</div></div>';
break;
}
elseif($_GET['user']=='Admin'){
echo'<div class="main"><div class="block_zero center">Нельзя наказать Admin!</div></div>';
break;
}
elseif($udata['prava']<4){
echo '<div class="main"><div class="block_zero center">Нет прав доступа</div></div>';
break;
}else{
echo'<div class="main"><div class="block_zero center">';
echo'Этот игрок действительно нарушил правила?</br><a href="search.php?go=predok&user='.$_GET['user'].'"><span class="btn"><span class="end"><input class="label" type="submit" value="Да"></span></span></a><a href="search.php?nick='.$_GET['user'].'&amp;go=go"><span class="btn"><span class="end"><input class="label" type="submit" value="Нет"></span></span></a></div></div>';
}
break;

case 'predok':
if(empty($_GET['user'])){echo '<div class="main"><div class="block_zero center">Не выбран игрок</div></div>';break;}elseif($udata['prava']<4){echo '<div class="main"><div class="block_zero center">Нет прав доступа</div></div>';break;}else{
$user=htmlspecialchars(addslashes(stripslashes($_GET['user'])));
$sett = mysql_query("SELECT * FROM `set` WHERE `usr` = '$user' LIMIT 1");
$set = mysql_fetch_array($sett);
$time = date("H:i d.m.y");
$text = "Вы нарушили правила!</br>Вам сделали предупреждение!";
mysql_query("INSERT INTO `msg_r` SET `user_from` = '$log', `user_to` = '$user', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
mysql_query("UPDATE `set` SET `pred` = '$set[pred]'+'1' WHERE `usr` = '$user'");
echo'<div class="main"><div class="block_zero center">Вы сделали предупреждение игроку '.$user.'</div></div>';
echo'<div class="main"><div class="block_zero center"><a href="search.php?nick='.$_GET['user'].'&go=go"><span class="btn"><span class="end"><input class="label" type="submit" value="Назад"></span></span></div></div>';
}
break;
/*
case 'almaz':
if(empty($_GET[nick])){echo "Не выбран игрок";break;}else{
$user=htmlspecialchars(addslashes(stripslashes($_GET['nick'])));
if($user==$log){echo'<img src="pic/no.png"/> Себе передавать нельзя!';break;}
if($udata[lvl]<=4){echo'<img src="pic/no.png"/> Доступно с <b>5</b> уровня!';break;}
if(empty($_POST[kol])){
echo'<img src="pic/almaz.png"/> У вас <b>'.$udata[almaz].'</b> алмазов';
echo '<form action="search.php?go=almaz&nick='.$user.'" method="post">';
echo"Введите кол-во алмазов:<br/>
<input class='input' type=\"text\" size=\"20\" name=\"kol\"/><br/><br/>
<input class=\"button\" type=\"submit\" value=\"Передать\" /></form>";}else{
if($_POST[kol]<1){echo'<img src="pic/no.png"/> Неверное число';break;}
if($udata[almaz]-$_POST[kol]<0){echo'<img src="pic/no.png"/> Нехватает алмазов';break;}
$kol=htmlspecialchars(addslashes(stripslashes($_POST['kol'])));
$money=$udata[almaz]-$kol;
$sett = mysql_query("SELECT `almaz` FROM `users` WHERE `usr` = '$user' LIMIT 1");
$set = mysql_fetch_array($sett);
$umon=$set[almaz]+$kol;
$time = date("H:i d.m.y");
$text = "Игрок $log передал вам $kol алмазов!";
mysql_query("INSERT INTO `msg_r` SET `user_from` = '$log', `user_to` = '$user', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
mysql_query("INSERT INTO `logi` SET `userup` = '$user', `userout` = '$log', `time` = '$time', 
`log` = 'bank', `text` = 'Передача $kol алмазов'");
mysql_query("UPDATE `users` SET `almaz` = '$money' WHERE `usr` = '$log'");
mysql_query("UPDATE `users` SET `almaz` = '$umon' WHERE `usr` = '$user'");
echo'<img src="pic/yes.png"/> Операция успешно проведена <br><a href="search.php?nick='.$user.'&go=go">Назад</a>';
//header('Refresh: 1; URL=search.php?nick='.$user.'&go=go');
}
}
break;

case 'zoloto':
if(empty($_GET[nick])){echo "Не выбран игрок";break;}else{
$user=htmlspecialchars(addslashes(stripslashes($_GET['nick'])));
if($user==$log){echo'<img src="pic/no.png"/> Себе передавать нельзя!';break;}
if($udata[lvl]<=4){echo'<img src="pic/no.png"/> Доступно с <b>5</b> уровня!';break;}
if(empty($_POST[kol])){
echo '<form action="search.php?go=zoloto&nick='.$user.'" method="post">';
echo"Внимание! Комиссия за перевод <b>5</b>%.<br>Введите кол-во монет:<br/>
<input class='input' type=\"text\" size=\"20\" name=\"kol\"/><br/><br/>
<input class=\"button\" type=\"submit\" value=\"Передать\" /></form>";}else{
if($_POST[kol]<1){echo'<img src="pic/no.png"/> Неверное число';break;}
if($udata[money]-$_POST[kol]<0){echo'<img src="pic/no.png"/> Нехватает монет';break;}
$kol=htmlspecialchars(addslashes(stripslashes($_POST['kol'])));
$komm=round(($kol/100)*5);
$money=$udata[money]-$kol-$komm;
$sett = mysql_query("SELECT `money` FROM `users` WHERE `usr` = '$user' LIMIT 1");
$set = mysql_fetch_array($sett);
$umon=$set[money]+$kol;
$time = date("H:i d.m.y");
$text = "Игрок $log передал вам $kol монет!";
mysql_query("INSERT INTO `logi` SET `userup` = '$user', `userout` = '$log', `time` = '$time', 
`log` = 'bank', `text` = 'Передача $kol монет'");
mysql_query("INSERT INTO `msg_r` SET `user_from` = '$log', `user_to` = '$user', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
mysql_query("UPDATE `users` SET `money` = '$money' WHERE `usr` = '$log'");
mysql_query("UPDATE `users` SET `money` = '$umon' WHERE `usr` = '$user'");
echo'<img src="pic/yes.png"/> Операция успешно проведена <br><a href="search.php?nick='.$user.'&go=go">Назад</a>';
//header('Refresh: 1; URL=search.php?nick='.$user.'&go=go');
}
}
break;
*/
}
include($path.'files/down.php');
?>